INSTALL(1)

NOM
install - Copier des fichiers et positionner leurs attributs

SYNOPSIS
install [OPTION]... [-T] SOURCE CIBLE
install [OPTION]... SOURCE... RÉPERTOIRE
install [OPTION]... -t RÉPERTOIRE SOURCE...
install [OPTION]... -d RÉPERTOIRE...

DESCRIPTION

Ce programme d'installation copie les fichiers (souvent juste compilés) à l'emplacement que vous souhaitez. Si vous voulez télécharger et installer un paquet prêt à l'emploi sur système GNU/Linux, vous devriez plutôt passer par un gestionnaire de paquets comme yum(1) ou apt-get(1).

Dans les trois premiers formats, copier la SOURCE vers la CIBLE ou des fichiers de plusieurs SOURCEs vers un RÉPERTOIRE existant, tout en initialisant les modes de permission et les propriétaire et groupe. Dans le quatrième format, créer tous les composants des RÉPERTOIREs spécifiés.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

-c  (ignoré)

-C, --compare
    comparer le contenu des fichiers source et de destination et s'il n'y a aucune différence de contenu, d'appartenance et de droits, ne pas modifier la destination

-d, --directory
    traiter tous les paramètres comme des noms de répertoires ; créer tous les composants des répertoires indiqués

-D  créer tous les composants principaux de la CIBLE à l'exception du dernier, ou tous les composants de --target-directory, puis copier la SOURCE vers la CIBLE

--debug
    expliquer comment un fichier est copié. Implique -v

-g, --group=GROUPE
    choisir le groupe d'appartenance, plutôt que le groupe du processus en cours

-m, --mode=MODE
    configurer les droits (comme avec chmod), au lieu de rwxr-xr-x

-o, --owner=PROPRIÉTAIRE
    attribuer l'appartenance au PROPRIÉTAIRE (pour le superutilisateur seulement)

-p, --preserve-timestamps
    appliquer les dates d'accès/modification des fichiers SOURCEs aux fichiers correspondants de la CIBLE

-s, --strip
    enlever les tables de symboles

--strip-program=PROGRAMME
    programme utilisé pour enlever la table des symboles des binaires

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    copier tous les paramètres de la SOURCE dans le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

-v, --verbose
    afficher le nom de chaque fichier ou répertoire créé

--preserve-context
    conserver le contexte de sécurité SELinux

-Z  définir le contexte de sécurité SELinux du fichier cible et de tous les répertoires créés au type par défaut

--context[=CTX]
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    Faire des archives numérotées.

existing, nil
    Numéroter si des archives numérotées existent déjà, sinon ne pas numéroter.

simple, never
    Toujours faire des archives de type simple.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cp(1)

Documentation complète : <https://www.gnu.org/software/coreutils/install>
aussi disponible localement à l’aide de la commande : info '(coreutils) install invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Franck Bassi <fblinux@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.